klay_newPendingTransactionFilter
POST
Creates a filter to receive notifications when new pending transactions occur and returns the filter ID. The filter ID is used with klay_getFilterChanges to query filter results.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "klay_newPendingTransactionFilter","params": []}'